From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/pdf-core/
Date: Sun, 12 Mar 2017 07:01:26 +0000 (UTC) [thread overview]
Message-ID: <1489302073.add6a1d62d8c1f8b90a8fa3eef64710ffc486ca6.graaff@gentoo> (raw)
commit: add6a1d62d8c1f8b90a8fa3eef64710ffc486ca6
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 12 07:00:19 2017 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Mar 12 07:01:13 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=add6a1d6
dev-ruby/pdf-core: add 0.7.0
Package-Manager: Portage-2.3.3, Repoman-2.3.1
dev-ruby/pdf-core/Manifest | 1 +
dev-ruby/pdf-core/pdf-core-0.7.0.ebuild | 30 ++++++++++++++++++++++++++++++
2 files changed, 31 insertions(+)
diff --git a/dev-ruby/pdf-core/Manifest b/dev-ruby/pdf-core/Manifest
index 9d201de0c3e..f26a867912e 100644
--- a/dev-ruby/pdf-core/Manifest
+++ b/dev-ruby/pdf-core/Manifest
@@ -1 +1,2 @@
DIST pdf-core-0.6.1.gem 43008 SHA256 debd79635c3d1e40d4f35bb3b7524b8077fc6d8a568679dc7d3bced6e60410e8 SHA512 dc9074658cb4037fc1ab4f51a19bd67396c31ef18ac5c89e94563711eced8a7a6ec642e907564c92453cac08cd7a09f6da6f6da87536475cce8238cef087467a WHIRLPOOL 4264d49d6a87c379b41ee4997938491ab7488c61517abdbcce1bd9e348edd642316a8ca8d6578a3125d4098337ddc94e25a87850c1a060f3b7b1846027d5ee32
+DIST pdf-core-0.7.0.tar.gz 43382 SHA256 ca0f0e7681d7f8b8b8a6f33e05d43dc0f5ca2d07c804bea2a2fbce0bb0000779 SHA512 c99409284e9f7f929902d88ff7943b3dc6b37c32d67ceaa15ad79e1f9a02b561af59889dae4344a1a7749edbb6705e06f6ca356f08ca38742a2623168d53d29d WHIRLPOOL 97d85c2aea8216eb4e35662afb56d5c65375c7b404bc2dde6214cc578c28a1a94b73b223f561920314cd27aee7f761a804f558498871ea4d65653bb8902bc85c
diff --git a/dev-ruby/pdf-core/pdf-core-0.7.0.ebuild b/dev-ruby/pdf-core/pdf-core-0.7.0.ebuild
new file mode 100644
index 00000000000..f400ea5b2a2
--- /dev/null
+++ b/dev-ruby/pdf-core/pdf-core-0.7.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+USE_RUBY="ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Implements low level PDF features for Prawn"
+HOMEPAGE="https://github.com/prawnpdf/pdf-core/"
+SRC_URI="https://github.com/prawnpdf/pdf-core/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( Ruby GPL-2 GPL-3 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
+IUSE="test"
+
+ruby_add_bdepend "test? ( =dev-ruby/pdf-inspector-1*
+ >=dev-ruby/pdf-reader-1.2 =dev-ruby/pdf-reader-1* )"
+
+all_ruby_prepare() {
+ sed -i -e "/[Bb]undler/d" spec/spec_helper.rb || die
+}
next reply other threads:[~2017-03-12 7:01 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-03-12 7:01 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-07 8:33 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/pdf-core/ Hans de Graaff
2024-03-06 6:42 Hans de Graaff
2023-08-26 19:07 Hans de Graaff
2023-07-18 5:50 Hans de Graaff
2022-07-30 7:46 Hans de Graaff
2022-04-30 9:08 Hans de Graaff
2021-10-23 6:55 Hans de Graaff
2020-11-19 11:00 Hans de Graaff
2020-02-22 10:22 Hans de Graaff
2020-02-22 10:22 Hans de Graaff
2019-05-08 19:59 Hans de Graaff
2018-12-12 15:00 Hans de Graaff
2018-07-03 5:26 Hans de Graaff
2018-05-01 4:45 Hans de Graaff
2018-04-13 6:20 Hans de Graaff
2018-01-22 19:04 Hans de Graaff
2018-01-22 19:04 Hans de Graaff
2018-01-22 19:04 Hans de Graaff
2017-01-22 1:56 Manuel RĂ¼ger
2016-05-31 4:49 Hans de Graaff
2016-02-22 6:28 Hans de Graaff
2016-02-22 6:28 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1489302073.add6a1d62d8c1f8b90a8fa3eef64710ffc486ca6.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox